Bug 192550 - Hard-coded path in /etc/pam.d/imap causes problems on x86_64
Hard-coded path in /etc/pam.d/imap causes problems on x86_64
Status: CLOSED DUPLICATE of bug 173055
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: cyrus-imapd (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Rockai
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-20 11:12 EDT by Felipe Alfaro Solana
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-30 12:52:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Felipe Alfaro Solana 2006-05-20 11:12:54 EDT
Description of problem:


File /etc/pam.d/imap belonging to cyrus-imapd-2.2.12-3.RHEL4.1 has hard-coded
path to pam_stack.so in /lib/security instead of /lib64/security:

#%PAM-1.0
auth       required     /lib/security/pam_stack.so service=system-auth
account    required     /lib/security/pam_stack.so service=system-auth

This causes problems on x86_64 systems as, usually, /lib/security, which belongs
to the i386 version of pam, could not be installed. For example, I have
experienced problems when using testsaslauthd:

# testsaslauthd -s imap -u user -p password
0: NO "authentication failed"

# tail /var/log/messages
May 20 17:06:01 mail2 saslauthd[3269]: PAM adding faulty module:
/lib/security/pam_stack.so
May 20 17:06:01 mail2 saslauthd[3269]: do_auth         : auth failure:
[user=user] [service=imap] [realm=] [mech=pam] [reason=PAM auth error]

Instead of pointing to /lib/security/pam_stack.so, both auth and account should
either point to /lib64/security/pam_stack.so or yet better, not provide absolute
pathnames at all. I have modified my /etc/pam.d/imap file to look like this:

#%PAM-1.0
auth       required     pam_stack.so service=system-auth
account    required     pam_stack.so service=system-auth

Now, testsaslauthd works fine:

# testsaslauthd -u user -p password
0: OK "Success."

Version-Release number of selected component (if applicable):
cyrus-imapd-2.2.12-3.RHEL4.1

How reproducible:
Always

Steps to Reproduce:
1. rpm -i cyrus-imapd-2.2.12-3.RHEL4.1 
2. testsalsauthd -s imap -u root -p password
3.
  
Actual results:
The pam description file for the imap service shouldn't include hard-coded paths
to pam_stack.so.

Expected results:


Additional info:
Comment 1 Felipe Alfaro Solana 2006-05-21 09:21:50 EDT
The same hard-coded paths also appear in file /etc/pam.d/pop. Thus, everything I
already commented applies to /etc/pam.d/pop.
Comment 2 Petr Rockai 2006-05-30 12:52:46 EDT

*** This bug has been marked as a duplicate of 173055 ***

Note You need to log in before you can comment on or make changes to this bug.